Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Locator_NT_Service.h File Reference

`#include "ace/config.h"`
`#include "tao/orbconf.h"`
`#include "ace/NT_Service.h"`
`#include "ace/Singleton.h"`

Include dependency graph for Locator_NT_Service.h:

This graph shows which files directly or indirectly include this file:

## Compounds

class | Locator_NT_Service
| Allows the Implementation Repository to act as a Windows NT Service. More...

## Typedefs

typedef ACE_Singleton< Locator_NT_Service, Locator_NT_Service::MUTEX > | SERVICE

## Variables

const char * | IMR_LOCATOR_SERVICE_NAME = "TAOIMRLocator"
const char * | IMR_LOCATOR_DISPLAY_NAME = "TAO Implementation Repository Locator"
const char * | IMR_LOCATOR_DESCRIPTION = "Implementation Repository Locator service for TAO"

## Detailed Description

Id:
  Locator_NT_Service.h,v 1.2 2003/11/12 22:58:08 michel_j Exp

Author:
  Darrell Brunsch <brunsch@cs.wustl.edu> , Jeff Parsons <parsons@cs.wustl.edu> , John Tucker <jtucker@infoglide.com> , Mike Vitalo <mvitalo@infoglide.com>

## Typedef Documentation

typedef ACE_Singleton<Locator_NT_Service, Locator_NT_Service::MUTEX> SERVICE

## Variable Documentation

const char* IMR_LOCATOR_DESCRIPTION = "Implementation Repository Locator service for TAO"`[static]`

const char* IMR_LOCATOR_DISPLAY_NAME = "TAO Implementation Repository Locator"`[static]`

const char* IMR_LOCATOR_SERVICE_NAME = "TAOIMRLocator"`[static]`